Viewing 6 posts - 1 through 6 (of 6 total)
  • Author
    Posts
  • #31819
    basmeijerbasmeijer
    Participant

    Hi Zaid,

    when installing the ZLogger from github, I got a DEPRECIATION message.
    It says: “Python 2.7 jas reached the end of its life at 1-1-2020. Please upgrade Python”
    How do I upgrade Python so ZLogger can run?

    Thanks.
    Bas

    #31821
    AvatarA J
    Moderator

    Hi Basmeijer,

    I tried to clone the repo after 1/1/2020, and it’s working fine. Kindly follow the exact steps shown in the following post:
    zLogger for Windows & Linux

    And even if you get a depreciation message, you can ignore and install zLogger as shown above in order to generate the keylogger for either Windows or Linux with the persistent feature enabled in case the user reboot their PC.

    #31829
    basmeijerbasmeijer
    Participant

    The installation is going ok.
    When running keylogger on the target machine I got the following error message:
    [15759] Error loading Python lib ‘/tmp/_MEIZVGqx7/libpython2.7.so.1.0’: dlopen:/lib/x86_64-linux-gnu/libm.so.6: version ‘GLIBC_2.29″ not found (required by /tmp/_MEIZVGqx7/libpython 2.7.so.1.0)

    How can I solve this?

    #32029
    AvatarA J
    Moderator

    Please make sure that you disable Real-time protection in Windows Defender first before testing for bypassing AVs can be covered in a whole course, though Zaid covers more basic techniques to try and make the signature looks more unique in other courses. For the above error, it seems that Windows has missing libraries in order to run it properly, can you show me a screenshot of the error to better debug the issue please?

    Don’t forget to enable 3rd party apps to access your Gmail account in your Gmail account settings, and make sure that you’re using the correct username and password before you generate the keylogger.

    #32077
    basmeijerbasmeijer
    Participant

    Hi,

    The Zlogger error is in Ubuntu instead of Windows.
    Where can I add the screenshot.

    Kind regards,
    Bas

    #32084
    AvatarA J
    Moderator

    Please try the following fix on Ubuntu, then generate a new keylogger for Linux, and run it as you did before:

    libc6 version >= 2.29

    Hope this helps.

Viewing 6 posts - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.